package top.imwork.assist.generator.config;

/**
 * Copyright (C), 2015-2025
 * FileName: DataSourceProperties
 * Author<作者姓名>:   silos
 * CreateTime<创建时间>:   2025/11/9 20:22
 * UpdateTime<修改时间>:   2025/11/9 20:22
 * Description〈功能简述〉: 数据源属性类
 * History<历史描述>:
 * Since<版本号>: 1.0.0
 */
public class DataSourceProperties {
    private String url;
    private String username;
    private String password;
    private String driverClassName;

    // getter and setter
    public String getUrl() { return url; }
    public void setUrl(String url) { this.url = url; }

    public String getUsername() { return username; }
    public void setUsername(String username) { this.username = username; }

    public String getPassword() { return password; }
    public void setPassword(String password) { this.password = password; }

    public String getDriverClassName() { return driverClassName; }
    public void setDriverClassName(String driverClassName) {
        this.driverClassName = driverClassName;
    }
}